addftinfo(1)

Navn
addftinfo - tilføj skriftmålinger til troff-skrifttyper for brug med groff

Synopsis
addftinfo [-asc-height n] [-body-depth n] [-body-height n] [-cap-height n] [-comma-depth n] [-desc-depth n] [-fig-height n] [-x-height n] opløsning enhedsbredde skrifttype

addftinfo --help

addftinfo -v
addftinfo --version

Beskrivelse
addftinfo læser en AT&T troff-skriftbeskrivelsesfil skrifttype, tilføjer yderligere skriftmålingsinformation krævet af GNU troff(1), og skriver det kombinerede resultat til standardud. Informationen tilføjet er udledt fra skrifttypens eksisterende parametre og antagelser om traditionelle troff-navne for tegn. Blandt skriftmålingerne tilføjet er højden og dyben på tegnene (hvor langt hver strækker sig over og under grundlinjen). Argumenterne resolution og unit-width bør være de samme som de tilsvarende parametre i DESC-filen. skrifttype er navnet på filen, der beskriver skrifttypen; hvis skrifttype afsluttes med “I”, så antages skrifttypen at være skrå (eller kursiv).

Tilvalg
--help viser en brugsbesked, mens -v og --version viser versionsinformation; alle afslutter efterfølgende.

Alle andre tilvalg ændrer parametre, der bruges til at udlede højden og dyben. Som de eksisterende kvantiteter i skriftbeskrivelsesfilen, hver værdi ~n er i skalederede punkter, tommer/opløsning for en skrifttype hvis typestørrelse er enhedsbredde; se groff_font(5).

-asc-height n
    højden på tegn med ascendere, såsom “b”, “d” eller “l”

-body-depth n
    dybe på tegn såsom parenteser

-body-height n
    højden på tegn såsom parenteser

-cap-height n
    højden på store bogstaver såsom “A”

-comma-depth n
    dybde på et komma

-desc-depth n
    dybden på tegn med descendere, såsom “p”, “q” eller “y”

-fig-height
    højden på figurer (tal)

-x-height n
    højde på små bogstaver uden ascendere såsom “x”

addftinfo foretager et forsøg på at bruge de angivne parametre for at udlede ej specificerede parametre. Hvis en parameter ikke er angivet, så vil standarden blive anvendt. Standarderne vælges for at have fornuftige værdier for en Times-skrifttype.

Afslutningskode
addftinfo afslutter med status 0 ved succesfuld operation og status 2 hvis programmet ikke kan fortolke dets kommandolinjeargumenter.

Se også
groff_font(5), groff(1), groff_char(7)

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.